Bug 147988 - rhn-download-manager should list channel-family in csv file for channel-xml-dump download types
rhn-download-manager should list channel-family in csv file for channel-xml-d...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn370
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Wregglesworth
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-14 11:12 EST by John Wregglesworth
Modified: 2007-04-18 13:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhn370
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 16:50:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2005-02-14 11:12:17 EST
Description of problem:rhn-download-manager should include a
channel-family field in the csv files that are used as input and output.

channel-family field should only have entries for channel-xml-dump
download types.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Wregglesworth 2005-02-17 16:53:15 EST
Test Plan
NOTE: Steps 1-5 are the same as steps 1-5 in the test plan for bug#
147987 with one exception: you can make the new directory under the
directory listed in the download-files-prefix setting of the
rhn_server_redhat-xmlrpc.conf file.

1. If you don't already have the rhn_superuser role in the environment
that you're testing in, ask someone to grant it to your user. Once you
have the rhn_superuser role, you need to set up your user with the
role through the web interface.

2. Put together some tarballs with some random stuff in them. It
shouldn't matter what the tarballs have in them.

3. Have someone create a new directory in whatever environment you
will be testing in. This directory should be under the mount_point,
which is defined in the rhn_server.conf file in /etc/rhn/defaults/.

4. Once you have the path to the new directory, get the file size and
md5sum and create a csv file. You can get the format that the csv file
needs to be in by running rhn-download-manager using the --list
<channelName> option. It doesn't matter what channel you use, but I'd
recommend one with a small number of packages in it. At least one of
the files should have a download_type of "channel-xml-dump".

5. Next, have someone place the tarballs you made in step 2 in the
directory that was made in step 3.

6. Run rhn-download-manager with the --upload <csv-file> option, using
the csv file you created in step 4.

7. Run rhn-download-manager with the --list <channel-name> option,
using the name of the channel that you pushed the downloads into.

8. Make sure that the output of --list <channel-name> lists the
channel-family for files that have a download_type of
channel-xml-dump, but leaves the channel-family field blank for all
other download_types.

Expected outcome:
--list should include information in the channel-family field only if
the download type is channel-xml-dump.
Comment 2 John Wregglesworth 2005-02-22 11:30:38 EST
The above test plan is missing a step. Somewhere is steps 1-5 a new
channel that can have downloads associated with it will need to be
created. I think either misa or chris can do that. The channel that
gets created is the one that's used in the other steps.

Also, if the --upload option gets used more than once with the same
.csv file, you will have to use the --force option.

Finally, here's some example commands:
rhn-download-manager --server=qa --username=foo --password=bar --list
testchannel

rhn-download-manager --server=qa --username=foo --password=bar
--upload downloads.csv --commit

rhn-download-manager --server=qa --username=foo --password=bar
--delete downloads.csv --commit

Comment 3 John Wregglesworth 2005-09-29 16:50:43 EDT
This change was for an internal tool and is already in use.

Note You need to log in before you can comment on or make changes to this bug.